var path = require('path');

var defs = require('./package.defs.js');

module.exports = function (config) {
  config.set({
    basePath: '.',
    browsers: ['Chromium'],
    frameworks: ['jasmine'],
    files: [
      'tests/__entry__.js'
    ],
    mochaReporter: {
      ignoreSkipped: true
    },
    preprocessors: {
      'tests/__entry__.js': ['webpack', 'sourcemap']
    },
    reporters: ['mocha'],
    singleRun: false,
    webpack: {
      devtool: 'inline-source-map',
      module: {
        loaders: [
          {
            test: /\.js?/,
            include: defs.SRC_DIR,
            loader: ['babel-loader']
          },
          {
            test: /\.js?/,
            include: defs.TESTS_DIR,
            loader: ['babel-loader']
          }
        ]
      },
      resolve: {
        alias: {
          'src': defs.SRC_DIR,
          'tests': defs.TESTS_DIR
        }
      }
    }
  });
};
